aboutsummaryrefslogtreecommitdiff
path: root/bin/menu-pass
diff options
context:
space:
mode:
authorSamuel Fadel <samuel@nihil.ws>2023-01-19 10:04:51 +0100
committerSamuel Fadel <samuel@nihil.ws>2023-01-19 10:04:51 +0100
commit960d8647437f7127a6de167b974b8f7aafc77130 (patch)
tree3b720f775a8e329b2ff23e077fa22335fd0473aa /bin/menu-pass
parent0701a5dd2e309c8d51282632e9f4b5a64a55a3e0 (diff)
Added first few utilities0.1
Diffstat (limited to 'bin/menu-pass')
-rwxr-xr-xbin/menu-pass24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/menu-pass b/bin/menu-pass
new file mode 100755
index 0000000..74468d6
--- /dev/null
+++ b/bin/menu-pass
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Select which password from pass(1) to copy into the clipboard using an interactive menu
+#
+# Inspired by
+# https://github.com/ibizaman/pass-clip/blob/9ef6e932e1149c07e991c82f916d018f3fbf0694/clip.bash
+
+PASSWORD_STORE_DIR="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
+
+passfile=$(find -L "${PASSWORD_STORE_DIR}" \
+ -path '*/.git' \
+ -prune \
+ -o \
+ -iname '*.gpg' \
+ -printf '%P\n' \
+ | sed -e 's/.gpg$//' \
+ | bemenu -i -s -c -l 20 -W 0.2 -p '*')
+
+if [ -z $passfile ]
+then
+ exit 1
+else
+ pass show -c $passfile
+fi